[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Debian v2.1 ("Slink") Deep Freeze

On Tue, 19 Jan 1999, Brandon Mitchell wrote:

> On Tue, 19 Jan 1999, Santiago Vila wrote:
> > Mmm, what about the needed compatibility packages?
> > Will you have some time for this?
> > 
> > I think it is absolutely essential for the success of Debian 2.1 that
> > nobody will automagically lose functionality in the upgrade process.
> Done in experimental changes file:
>    * xbase is now a pseudo-package used to smooth upgrades from hamm or
>      earlier systems
>    * what was the new xbase is now xfree86-common

Please, remember that we need also pseudopackages xfnt100, xfnt75, etc.

Otherwise dselect will not select the new ones in favour of the old ones
unless the user had some package which specifically depended on some
of the old one and now depends on the new one. Since we can't guarantee
that this will always be the case, we need pseudopackages for all the xfnt
old packages and for every other package that changed its name.


 "81b7ddb51cac2db1f4ffacfe4156cb45" (a truly random sig)

Reply to: